import { TypingNode } from '../../nodes';
import { TypingSnapshot } from '../../shared/types';
export declare class NodeHandlersModule {
    protected _typingSnapshot: TypingSnapshot;
    protected _nodeHandlers: Record<TypingNode["type"], (node: TypingNode, index: number) => void>;
    private _handleTextTypingNode;
    private _handleBackspaceTypingNode;
    private _handleDeleteTypingNode;
    private _handleCursorMoveLeftTypingNode;
    private _handleCursorMoveRightTypingNode;
    private _handleDelayTypingNode;
    private _handleHomeTypingNode;
    private _handleEndTypingNode;
    get handlers(): Record<"cursorMoveLeft" | "text" | "backspace" | "delete" | "cursorMoveRight" | "delay" | "home" | "end", (node: TypingNode, index: number) => void>;
    get typingSnapshot(): TypingSnapshot;
}
